%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

%define modname zope.configuration

Name:           python-zope-configuration
Version:        3.7.2
Release:        1%{?dist}
Summary:        Zope Configuration Markup Language (ZCML)

Group:          Development/Libraries
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/zope.configuration
Source0:        http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-setuptools
BuildRequires:  python-zope-schema
BuildRequires:  python-zope-interface
BuildRequires:  python-zope-i18nmessageid
BuildRequires:  python-zope-testing

Requires:  python-zope-schema
Requires:  python-zope-interface
Requires:  python-zope-i18nmessageid

%description
The zope configuration system provides an extensible system for supporting
various kinds of configurations.

It is based on the idea of configuration directives. Users of the configuration
system provide configuration directives in some language that express
configuration choices. The intent is that the language be pluggable. An XML
language is provided by default.

%prep
%setup -q -n %{modname}-%{version}

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
%{__python} setup.py test
%{__rm} -r %{buildroot}%{python_sitelib}/zope/configuration/tests
%{__rm} -r %{buildroot}%{python_sitelib}/zope/configuration/*.txt

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt LICENSE.txt COPYRIGHT.txt CHANGES.txt
%{python_sitelib}/zope/configuration/
%{python_sitelib}/%{modname}*

%changelog
* Wed Jan  2 2010 Luke Macken <lmacken@redhat.com> - 3.7.2-1
- Initial package
